<th:block xmlns:th="http://www.thymeleaf.org" th:with="localScripts=${scripts}, scripts=~{::scripts}, localLinks=${links}, links=~{::links}">
    <html lang="fr" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org" th:replace="~{theme/gp-v2/layout(title=${title}?: #{IoT Channel}, scripts=~{::scripts}, mainToolbar=${mainToolbar}?: _, mainMenu=~{::mainMenu}, globalContent=~{::mainContent})}">
        <head>
            <th:block th:fragment="links">
                <% styles.forEach(function (src) { %>
                    <link href="css/<%= src %>}" rel="stylesheet" th:href="@{/css/<%= src %>}"></link>
                <% }); %>
                <link href="css/default.css" rel="stylesheet" th:href="@{/css/default.css}"></link>
                <th:block th:replace="${localLinks} ?: _" />
            </th:block>

            <th:block th:fragment="scripts">
                <% scripts.forEach(function (src) { %>
                    <script th:src="@{/js/<%= src %>}"></script>
                <% }); %>
                <th:block th:replace="${pageScripts}?: _"></th:block>
                <th:block th:replace="${localScripts} ?: _" />
            </th:block>
            
        </head>
        <body>
            <th:block th:fragment="mainMenu">
                <li>
                    <a th:href="@{/}" th:text="#{Home}"></a>
                </li>
                <li>
                    <a th:href="@{/message/received/search}" th:text="#{Received}"></a>
                </li>
                <li>
                    <a th:href="@{/message/pending/search}" th:text="#{Pending}"></a>
                </li>
            </th:block>
        </body>
    </html>
</th:block>
 